Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.xslt
Class ProxyNodeAdapter

    java.lang.Object
      org.apache.struts2.views.xslt.AbstractAdapterNode
          org.apache.struts2.views.xslt.ProxyNodeAdapter

All Implemented Interfaces:
  AdapterNode, org.w3c.dom.Node

Direct Known Subclasses:
  ProxyAttrAdapter, ProxyElementAdapter, ProxyTextNodeAdapter

    public abstract class ProxyNodeAdapter

extends AbstractAdapterNode

ProxyNodeAdapter is a read-only delegating adapter for objects which already implement the Node interface. All methods are proxied to the underlying Node except getParent(), getNextSibling() and getPreviousSibling(), which are implemented by the abstract adapter node to work with the parent adapter.

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`ProxyNodeAdapter(AdapterFactory factory, AdapterNode parent, org.w3c.dom.Node value)`

Method Summary
`org.w3c.dom.NamedNodeMap` | `getAttributes()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNodeName()`
`short` | `getNodeType()`
`java.lang.String` | `getNodeValue()`
`java.lang.String` | `getPrefix()`
`boolean` | `hasAttributes()`
`boolean` | `hasChildNodes()`
`boolean` | `isSupported(java.lang.String s, java.lang.String s1)`
`protected org.w3c.dom.Node` | `node()` Get the proxied Node value
`java.lang.String` | `toString()`
`protected org.w3c.dom.NamedNodeMap` | `wrap(org.w3c.dom.NamedNodeMap nnm)`
`protected org.w3c.dom.Node` | `wrap(org.w3c.dom.Node node)` Get and adapter to wrap the proxied node.

Methods inherited from class org.apache.struts2.views.xslt.AbstractAdapterNode
`appendChild, buildChildAdapters, cloneNode, compareDocumentPosition, getAdapterFactory, getBaseURI, getChildAdapters, getChildAfter, getChildBefore, getChildBeforeOrAfter, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFeature, getFirstChild, getLastChild, getNextSibling, getOwnerDocument, getParent, getParentNode, getPreviousSibling, getPropertyName, getPropertyValue, getTextContent, getUserData, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, lookupNamespaceURI, lookupPrefix, normalize, operationNotSupported, removeChild, replaceChild, setAdapterFactory, setContext, setNodeValue, setParent, setPrefix, setPropertyName, setPropertyValue, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProxyNodeAdapter

    public ProxyNodeAdapter(AdapterFactory factory,
                            AdapterNode parent,
                            org.w3c.dom.Node value)

Method Detail

### node

    protected org.w3c.dom.Node node()

  Get the proxied Node value

### wrap

    protected org.w3c.dom.Node wrap(org.w3c.dom.Node node)

  Get and adapter to wrap the proxied node.

  Parameters:
    `node` -

### wrap

    protected org.w3c.dom.NamedNodeMap wrap(org.w3c.dom.NamedNodeMap nnm)

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeName` in class `AbstractAdapterNode`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `AbstractAdapterNode`
  Throws:
    `org.w3c.dom.DOMException`

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeType` in class `AbstractAdapterNode`

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `getAttributes` in class `AbstractAdapterNode`

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasChildNodes` in class `AbstractAdapterNode`

### isSupported

    public boolean isSupported(java.lang.String s,
                               java.lang.String s1)

  Specified by:
    `isSupported` in interface `org.w3c.dom.Node`
  Overrides:
    `isSupported` in class `AbstractAdapterNode`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`
  Overrides:
    `getNamespaceURI` in class `AbstractAdapterNode`

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`
  Overrides:
    `getPrefix` in class `AbstractAdapterNode`

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`
  Overrides:
    `getLocalName` in class `AbstractAdapterNode`

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`
  Overrides:
    `hasAttributes` in class `AbstractAdapterNode`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractAdapterNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.